com.sun.j3d.utils.scenegraph.transparency

## Interface TransparencySortGeom

-     public interface TransparencySortGeom

  The interface of the objects that should be compared to determine rendering order of transparent objects. The Comparator supplied by the user in TransparencySortController will be called with 2 objects that implement this interface.
  Since:
    Java 3D 1.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDistanceSquared()` Returns the distance squared of this object to the viewer.
    `Geometry` | `getGeometry()` Returns the Geometry for this object.
    `void` | `getLocalToVWorld(Transform3D localToVW)` Returns the LocalToVWorld transform for this object
    `Shape3D` | `getShape3D()` Returns the Shape3D being rendered using this geometry.

- - ### Method Detail

    - #### getGeometry

          Geometry getGeometry()

      Returns the Geometry for this object.
      Returns:
        geometry for this object

    - #### getDistanceSquared

          double getDistanceSquared()

      Returns the distance squared of this object to the viewer.
      Returns:
        distancesquared to viewer

    - #### getLocalToVWorld

          void getLocalToVWorld(Transform3D localToVW)

      Returns the LocalToVWorld transform for this object
      Parameters:
        `localToVW` - variable in which transform will be returned

    - #### getShape3D

          Shape3D getShape3D()

      Returns the Shape3D being rendered using this geometry.
      Returns:
        the Shape3D being rendered using this geometry

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.